diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
index 0175d9aa46ec21d0465bb8a0a469bb758969c9ba..aa5494f0d0517055045670090e8b3a2adbbcfdf0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
@@ -251,7 +251,7 @@ public class RegistryAdminServlet extends AdminServlet {
             String id = impls.nextElement();
             IPluginInfo info = mRegistry.getPluginInfo(scope, id);
 
-            nvp.add(id, info.getClassName() + "," +
+            nvp.put(id, info.getClassName() + "," +
                     info.getDescription(getLocale(req)) + "," + info.getName(getLocale(req)));
         }
 
@@ -289,7 +289,7 @@ public class RegistryAdminServlet extends AdminServlet {
                     if (policyConstraintClass.isApplicable(policyDefaultClass)) {
                         CMS.debug("RegistryAdminServlet: getSUpportedConstraint isApplicable "
                                 + constraintInfo.getClassName());
-                        nvp.add(constraintID,
+                        nvp.put(constraintID,
                                 constraintInfo.getClassName()
                                         + "," +
                                         constraintInfo.getDescription(getLocale(req)) + ","
@@ -352,7 +352,7 @@ public class RegistryAdminServlet extends AdminServlet {
                                             + getNonNull(desc.getDefaultValue());
 
                             CMS.debug("RegistryAdminServlet: getProfileImpl " + value);
-                            nvp.add(name, value);
+                            nvp.put(name, value);
                         } catch (Exception e) {
 
                             CMS.debug("RegistryAdminServlet: getProfileImpl skipped descriptor for " + name);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
index 3783ead6f0174e340a9ae9dc389b46e60659f963..e5a6dd3c4514992762fc4ae7d9c688c567a10145 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/UsrGrpAdminServlet.java
@@ -327,7 +327,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
             val = "noType";
         NameValuePairs params = new NameValuePairs();
 
-        params.add(Constants.PR_USER_TYPE, val);
+        params.put(Constants.PR_USER_TYPE, val);
         sendResponse(SUCCESS, null, params, resp);
     }
 
@@ -372,7 +372,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
             }
             i++;
         }
-        params.add("userInfo", sb.toString());
+        params.put("userInfo", sb.toString());
 
         sendResponse(SUCCESS, null, params, resp);
     }
@@ -416,10 +416,10 @@ public class UsrGrpAdminServlet extends AdminServlet {
         }
 
         if (user != null) {
-            params.add(Constants.PR_USER_FULLNAME, user.getFullName());
-            params.add(Constants.PR_USER_EMAIL, user.getEmail());
-            params.add(Constants.PR_USER_PHONE, user.getPhone());
-            params.add(Constants.PR_USER_STATE, user.getState());
+            params.put(Constants.PR_USER_FULLNAME, user.getFullName());
+            params.put(Constants.PR_USER_EMAIL, user.getEmail());
+            params.put(Constants.PR_USER_PHONE, user.getPhone());
+            params.put(Constants.PR_USER_STATE, user.getState());
 
             // get list of groups, and get a list of those that this
             //			uid belongs to
@@ -447,7 +447,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                 }
             }
 
-            params.add(Constants.PR_USER_GROUP, grpString.toString());
+            params.put(Constants.PR_USER_GROUP, grpString.toString());
 
             sendResponse(SUCCESS, null, params, resp);
             return;
@@ -516,7 +516,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                 String base64 = CMS.getEncodedCert(certs[i]);
 
                 // pretty print certs
-                params.add(getCertificateString(certs[i]),
+                params.put(getCertificateString(certs[i]),
                         print.toString(clientLocale) + "\n" + base64);
             }
             sendResponse(SUCCESS, null, params, resp);
@@ -567,9 +567,9 @@ public class UsrGrpAdminServlet extends AdminServlet {
             String desc = group.getDescription();
 
             if (desc != null) {
-                params.add(group.getGroupID(), desc);
+                params.put(group.getGroupID(), desc);
             } else {
-                params.add(group.getGroupID(), "");
+                params.put(group.getGroupID(), "");
             }
         }
 
@@ -612,8 +612,8 @@ public class UsrGrpAdminServlet extends AdminServlet {
         if (e.hasMoreElements()) {
             IGroup group = e.nextElement();
 
-            params.add(Constants.PR_GROUP_GROUP, group.getGroupID());
-            params.add(Constants.PR_GROUP_DESC,
+            params.put(Constants.PR_GROUP_GROUP, group.getGroupID());
+            params.put(Constants.PR_GROUP_DESC,
                     group.getDescription());
 
             Enumeration<String> members = group.getMemberNames();
@@ -631,7 +631,7 @@ public class UsrGrpAdminServlet extends AdminServlet {
                 }
             }
 
-            params.add(Constants.PR_GROUP_USER, membersString.toString());
+            params.put(Constants.PR_GROUP_USER, membersString.toString());
 
             sendResponse(SUCCESS, null, params, resp);
             return;
diff --git a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index ac44672d23edc86820f637e497bbb42c69038404..42768060c3cbdc6d1360f3471c77849a494d73a3 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -90,7 +90,6 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.common.Constants;
-import com.netscape.certsrv.common.NameValuePair;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.security.ICryptoSubsystem;
@@ -1043,11 +1042,11 @@ public final class JssSubsystem implements ICryptoSubsystem {
             X509CertImpl impl = new X509CertImpl(b);
             NameValuePairs results = new NameValuePairs();
 
-            results.add(Constants.PR_CERT_SUBJECT_NAME, impl.getSubjectDN().getName());
-            results.add(Constants.PR_ISSUER_NAME, impl.getIssuerDN().getName());
-            results.add(Constants.PR_SERIAL_NUMBER, impl.getSerialNumber().toString());
-            results.add(Constants.PR_BEFORE_VALIDDATE, impl.getNotBefore().toString());
-            results.add(Constants.PR_AFTER_VALIDDATE, impl.getNotAfter().toString());
+            results.put(Constants.PR_CERT_SUBJECT_NAME, impl.getSubjectDN().getName());
+            results.put(Constants.PR_ISSUER_NAME, impl.getIssuerDN().getName());
+            results.put(Constants.PR_SERIAL_NUMBER, impl.getSerialNumber().toString());
+            results.put(Constants.PR_BEFORE_VALIDDATE, impl.getNotBefore().toString());
+            results.put(Constants.PR_AFTER_VALIDDATE, impl.getNotAfter().toString());
 
             // fingerprint is using MD5 hash
 
@@ -1202,7 +1201,7 @@ public final class JssSubsystem implements ICryptoSubsystem {
                         }
                         String serialno = impl.getSerialNumber().toString();
                         String issuer = impl.getIssuerDN().toString();
-                        nvps.add(nickname + "," + serialno, issuer);
+                        nvps.put(nickname + "," + serialno, issuer);
                         Debug.trace("getRootCerts: nickname=" + nickname + ", serialno=" +
                                 serialno + ", issuer=" + issuer);
                         continue;
@@ -1265,7 +1264,7 @@ public final class JssSubsystem implements ICryptoSubsystem {
                         }
                         String serialno = impl.getSerialNumber().toString();
                         String issuer = impl.getIssuerDN().toString();
-                        nvps.add(nickname + "," + serialno, issuer);
+                        nvps.put(nickname + "," + serialno, issuer);
                         Debug.trace("getUserCerts: nickname=" + nickname + ", serialno=" +
                                 serialno + ", issuer=" + issuer);
                     } catch (ObjectNotFoundException e) {
@@ -1329,18 +1328,16 @@ public final class JssSubsystem implements ICryptoSubsystem {
                     }
                     Date date = impl.getNotAfter();
                     String dateStr = mFormatter.format(date);
-                    NameValuePair pair = pairs.getPair(nickname);
+                    String vvalue = pairs.get(nickname);
 
                     /* always user cert here*/
                     String certValue = dateStr + "," + "u";
 
-                    if (pair == null)
-                        pairs.add(nickname, certValue);
+                    if (vvalue == null)
+                        pairs.put(nickname, certValue);
                     else {
-                        String vvalue = pair.getValue();
-
                         if (vvalue.endsWith(",u")) {
-                            pair.setValue(vvalue + ";" + certValue);
+                            pairs.put(nickname, vvalue + ";" + certValue);
                         }
                     }
 
@@ -1441,15 +1438,13 @@ public final class JssSubsystem implements ICryptoSubsystem {
                     impl = new X509CertImpl(icert.getEncoded());
                     Date date = impl.getNotAfter();
                     String dateStr = mFormatter.format(date);
-                    NameValuePair pair = pairs.getPair(nickname);
+                    String vvalue = pairs.get(nickname);
                     String certValue = dateStr + "," + trust;
 
-                    if (pair == null)
-                        pairs.add(nickname, certValue);
+                    if (vvalue == null)
+                        pairs.put(nickname, certValue);
                     else {
-                        String vvalue = pair.getValue();
-
-                        pair.setValue(vvalue + ";" + certValue);
+                        pairs.put(nickname, vvalue + ";" + certValue);
                     }
                 } catch (CertificateException e) {
                     log(ILogger.LL_FAILURE,
diff --git a/pki/base/console/src/CMakeLists.txt b/pki/base/console/src/CMakeLists.txt
index b164a33a07019415e5d7ca51903b957d81e76227..175a4a1a751154ed10bcdf906ebea8fb75866141 100644
--- a/pki/base/console/src/CMakeLists.txt
+++ b/pki/base/console/src/CMakeLists.txt
@@ -85,7 +85,6 @@ set(pki-console_java_SRCS
     com/netscape/certsrv/common/ScopeDef.java
     com/netscape/certsrv/common/PrefixDef.java
     com/netscape/certsrv/common/ConfigConstants.java
-    com/netscape/certsrv/common/NameValuePair.java
     com/netscape/certsrv/common/OpDef.java
     com/netscape/certsrv/common/Constants.java
     com/netscape/admin/certsrv/CMSCCMUILoader.java
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/CMSCAUILoader.java b/pki/base/console/src/com/netscape/admin/certsrv/CMSCAUILoader.java
index bad1868b5f8e50daa7c47ea907394d2a20337b82..f967d28e00e7e1697308b22f60655468f08b416e 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/CMSCAUILoader.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/CMSCAUILoader.java
@@ -233,9 +233,7 @@ public class CMSCAUILoader implements ISubSystemUILoader {
         }
 
         if (nvps != null && nvps.size() > 0) {
-            Enumeration names = nvps.getNames();
-            while (names.hasMoreElements()) {
-                String name = (String)names.nextElement();
+            for (String name : nvps.keySet()) {
                 if (name.indexOf('.') == -1) {
                     node = new CMSResourceObject();
                     node.setName(name);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/CMSKernelUILoader.java b/pki/base/console/src/com/netscape/admin/certsrv/CMSKernelUILoader.java
index 2c4de161f5c385fe649f061a3ddc0800c6de2f77..cb232c527d8e1a248362879c06e1088af6ca5cb0 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/CMSKernelUILoader.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/CMSKernelUILoader.java
@@ -306,8 +306,7 @@ public class CMSKernelUILoader implements ISubSystemUILoader {
         }
 
         //update the index
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = (String)e.nextElement();
+        for (String entry : response.keySet()) {
 			CMSResourceObject node = new CMSResourceObject(entry);
 			node.setCustomPanel(new LogInstancePanel(entry, model));
 			node.setIcon( CMSAdminUtil.getImage(CMSAdminResources.IMAGE_LOGOBJECT));
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/CMSServerInfo.java b/pki/base/console/src/com/netscape/admin/certsrv/CMSServerInfo.java
index d4646c2a0c3a4d70249f75f88abf13c4cb0954d9..d2d64b3fce2e8d2d9655592f6a9122d68ddaded9 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/CMSServerInfo.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/CMSServerInfo.java
@@ -18,14 +18,9 @@
 package com.netscape.admin.certsrv;
 
 import java.util.*;
-import java.awt.*;
-import java.awt.event.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.border.*;
-import javax.swing.text.*;
+
 import com.netscape.management.client.util.*;
-import com.netscape.management.client.console.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 
@@ -102,7 +97,7 @@ public class CMSServerInfo implements IConnectionListener {
 		
 		// Need to do authentication here
 		NameValuePairs config = new NameValuePairs();
-		config.add(Constants.PR_PING,"");
+		config.put(Constants.PR_PING, "");
 		
 		NameValuePairs response;
 		
@@ -111,7 +106,7 @@ public class CMSServerInfo implements IConnectionListener {
 		            Constants.RS_ID_CONFIG,
 		            config);
 		
-		if (!response.getValue(Constants.PR_PING).equalsIgnoreCase(Constants.TRUE)) {
+		if (!response.get(Constants.PR_PING).equalsIgnoreCase(Constants.TRUE)) {
             Debug.println("Ping failed -> Server off");
 		    throw new EAdminException("PING_FAILED",false);
 	    }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/CMSUIFramework.java b/pki/base/console/src/com/netscape/admin/certsrv/CMSUIFramework.java
index 6949e73f6a4d5a15e360df3214338e91bfe5a2d8..13028b003f46084c7a9376265a07b624fd31cd9c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/CMSUIFramework.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/CMSUIFramework.java
@@ -23,7 +23,6 @@ import com.netscape.management.client.util.*;
 import com.netscape.management.client.console.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
-import java.util.*;
 
 /**
  * Netscape Certificate Server 4.0 UI Framework
@@ -88,7 +87,7 @@ public class CMSUIFramework {
           ScopeDef.SC_PLATFORM, new NameValuePairs());
         if (response == null) 
             throw new EAdminException("PROTOCOL_ERROR",false);
-        if (response.getValue(Constants.PR_NT).equals(Constants.TRUE))
+        if (response.get(Constants.PR_NT).equals(Constants.TRUE))
             return true;
         return false;
     }
@@ -207,9 +206,9 @@ class HTTPSSubSystemLocator implements ISubSystemLocator {
         Debug.println("getInstalledSubSystem() - "+input.toString());
         SubSystemInfo[] subsystems = new SubSystemInfo[input.size()];
         int i =0;
-        for (Enumeration e = input.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = input.getValue(entry);
+        for (String entry : input.keySet()) {
+            entry = entry.trim();
+            String value = input.get(entry);
             subsystems[i] = new SubSystemInfo();
             subsystems[i].mType = value;
             subsystems[i].mNickName = entry;
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ACIDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ACIDialog.java
index 7c2948795ed63e5ef83a6566afe1e45b5d6c7b70..e6085f8207a5c02ba94e44a39abea5cab6a65802 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ACIDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ACIDialog.java
@@ -18,16 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.config.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -250,13 +246,11 @@ public class ACIDialog extends JDialog
     }
 
     private boolean validateSyntax(String str, NameValuePairs nvps) {
-        Enumeration names = nvps.getNames();
-        while (names.hasMoreElements()) {
-            String name = (String)names.nextElement();
+        for (String name : nvps.keySet()) {
             if (str.startsWith(name)) {
                 int len = name.length();
                 String leftover = str.substring(len).trim();
-                String operators = nvps.getValue(name);
+                String operators = nvps.get(name);
                 StringTokenizer st = new StringTokenizer(operators, ",");
                 while (st.hasMoreTokens()) {
                     String token = st.nextToken();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLEditDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLEditDialog.java
index 9aa392eafc9686f41e0fba5324a9d9ff30a1ddeb..b3bcb72e1a42dde8db76ce0afcf8a144dc2fb329 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLEditDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLEditDialog.java
@@ -18,16 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.config.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -145,9 +141,9 @@ public class ACLEditDialog extends JDialog
                     else
                         str = str+(String)mDataModel.elementAt(i);
                 }
-                pairs.add(Constants.PR_ACI, str);
-                pairs.add(Constants.PR_ACL_DESC, desc);
-                pairs.add(Constants.PR_ACL_RIGHTS, rights);
+                pairs.put(Constants.PR_ACI, str);
+                pairs.put(Constants.PR_ACL_DESC, desc);
+                pairs.put(Constants.PR_ACL_RIGHTS, rights);
             }
 
             try {
@@ -204,8 +200,8 @@ public class ACLEditDialog extends JDialog
     }
 
     public void showDialog(NameValuePairs data) {
-        String aci = data.getValue(Constants.PR_ACI);
-        mOperations = data.getValue(Constants.PR_ACL_OPS);
+        String aci = data.get(Constants.PR_ACI);
+        mOperations = data.get(Constants.PR_ACL_OPS);
 
         if ((aci != null) && (!aci.trim().equals(""))) {
             StringTokenizer tokenizer = new StringTokenizer(aci, ";");
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLImplTab.java
index b0dd8bb9e3b149d4f8471bbdc1c9219d94fd62e8..4693224b10b73542711cd319ab4fed290400ba70 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLImplTab.java
@@ -204,9 +204,8 @@ public class ACLImplTab extends CMSBaseUGTab {
         int i=0;
         String[] vals = new String[response.size()];
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            vals[i++] = entry;
+        for (String entry : response.keySet()) {
+            vals[i++] = entry.trim();
         }
 
         CMSAdminUtil.bubbleSort(vals);
@@ -217,7 +216,7 @@ public class ACLImplTab extends CMSBaseUGTab {
             v.addElement(new JLabel(name,
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_ACLPLUGIN),
                     JLabel.LEFT));
-            v.addElement(response.getValue(name));
+            v.addElement(response.get(name));
             mDataModel.addRow(v);
         }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLPanel.java
index 3b3d8c52923aeed29d259b6e27813834d35305dd..2593e0c0b9ae1f8845f34935cbbeee5c59b70a8e 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/ACLPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/ACLPanel.java
@@ -202,9 +202,8 @@ public class ACLPanel extends CMSBaseUGTab {
         int i=0;
         String[] vals = new String[response.size()];
 
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            vals[i++] = entry;
+        for (String entry : response.keySet()) {
+            vals[i++] = entry.trim();
         }
 
         CMSAdminUtil.bubbleSort(vals);
@@ -215,7 +214,7 @@ public class ACLPanel extends CMSBaseUGTab {
             v.addElement(new JLabel(name,
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_ACL),
                     JLabel.LEFT));
-            v.addElement(response.getValue(name));
+            v.addElement(response.get(name));
             mDataModel.addRow(v);
         }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CACertsTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CACertsTab.java
index e57c5627149610041bd667e09af1b13ff9f8036e..18590747a5368f716ece10cbbbe6c26a2fbf8b82 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CACertsTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CACertsTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.management.client.console.*;
 import com.netscape.certsrv.common.*;
@@ -123,17 +122,16 @@ public class CACertsTab extends CMSBaseUGTab {
 
             try {
                 NameValuePairs nvps = new NameValuePairs();
-                nvps.add(Constants.PR_NICK_NAME, nickname);
-                nvps.add(Constants.PR_SERIAL_NUMBER, serialno);
-                nvps.add(Constants.PR_ISSUER_NAME, issuername);
+                nvps.put(Constants.PR_NICK_NAME, nickname);
+                nvps.put(Constants.PR_SERIAL_NUMBER, serialno);
+                nvps.put(Constants.PR_ISSUER_NAME, issuername);
                 NameValuePairs results = mConnection.process(
                   DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_CERT_PRETTY_PRINT,
                   Constants.RS_ID_CONFIG, nvps);
                 if (nvps.size() <= 0)
                     return;
-                NameValuePair nvp = results.elementAt(0);
-                String name = nvp.getName();
-                String print = nvp.getValue();
+                String name = results.keySet().iterator().next(); // first element
+                String print = results.get(name);
                 CertViewDialog certdialog = new CertViewDialog(mModel.getFrame());
                 certdialog.showDialog(nickname, print);
             } catch (EAdminException ex) {
@@ -150,17 +148,16 @@ public class CACertsTab extends CMSBaseUGTab {
 
             try {
                 NameValuePairs nvps = new NameValuePairs();
-                nvps.add(Constants.PR_NICK_NAME, nickname);
-                nvps.add(Constants.PR_SERIAL_NUMBER, serialno);
-                nvps.add(Constants.PR_ISSUER_NAME, issuername);
+                nvps.put(Constants.PR_NICK_NAME, nickname);
+                nvps.put(Constants.PR_SERIAL_NUMBER, serialno);
+                nvps.put(Constants.PR_ISSUER_NAME, issuername);
                 NameValuePairs results = mConnection.process(
                   DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_ROOTCERT_TRUSTBIT,
                   Constants.RS_ID_CONFIG, nvps);
                 if (nvps.size() <= 0)
                     return;
-                NameValuePair nvp = results.elementAt(0);
-                String name = nvp.getName();
-                String trust = nvp.getValue();
+                String name = results.keySet().iterator().next(); // first element
+                String trust = results.get(name);
                 int i;
                 String[] params = new String[2];
                 if (trust.equals("U")) {
@@ -174,7 +171,7 @@ public class CACertsTab extends CMSBaseUGTab {
                 }
 
                 if (i == JOptionPane.YES_OPTION) {
-                    nvps.add("trustbit", params[1]);
+                    nvps.put("trustbit", params[1]);
                     mConnection.modify(DestDef.DEST_SERVER_ADMIN, 
                       ScopeDef.SC_ROOTCERT_TRUSTBIT,
                       Constants.RS_ID_CONFIG, nvps);
@@ -333,9 +330,8 @@ public class CACertsTab extends CMSBaseUGTab {
         if (response != null) {
             String[] vals = new String[response.size()];
             int i=0;
-            for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-                String entry = ((String)e.nextElement()).trim();
-                vals[i++] = entry;
+            for (String entry : response.keySet()) {
+                vals[i++] = entry.trim();
             }
 
             int sindex = 0;
@@ -344,7 +340,7 @@ public class CACertsTab extends CMSBaseUGTab {
             for (i=0; i<vals.length; i++) {
                 Vector v = new Vector();
                 String entry = vals[i];
-                String value = response.getValue(entry);
+                String value = response.get(entry);
 
                 // look for the comma separator
                 int lastindex = entry.lastIndexOf(",");
